Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network236.83.0.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
236.83.0.0
Broadcast address
236.83.15.255
First usable
236.83.0.1
Last usable
236.83.15.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EC530000 · Integer 3964862464 to 3964866559
Reverse DNS zones
0.83.236.in-addr.arpa
1.83.236.in-addr.arpa
2.83.236.in-addr.arpa
3.83.236.in-addr.arpa
4.83.236.in-addr.arpa
5.83.236.in-addr.arpa
6.83.236.in-addr.arpa
7.83.236.in-addr.arpa
8.83.236.in-addr.arpa
9.83.236.in-addr.arpa
10.83.236.in-addr.arpa
11.83.236.in-addr.arpa
12.83.236.in-addr.arpa
13.83.236.in-addr.arpa
14.83.236.in-addr.arpa
15.83.236.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101100.01010011.00000000.00000000236.83.0.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network11101100.01010011.00000000.00000000236.83.0.0
Broadcast11101100.01010011.00001111.11111111236.83.15.255
Split into smaller subnets/31

236.83.0.0/20 makes 2,048 subnets of /31; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1236.83.0.0/31236.83.0.0 to 236.83.0.1—2
2236.83.0.2/31236.83.0.2 to 236.83.0.3—2
3236.83.0.4/31236.83.0.4 to 236.83.0.5—2
4236.83.0.6/31236.83.0.6 to 236.83.0.7—2
5236.83.0.8/31236.83.0.8 to 236.83.0.9—2
6236.83.0.10/31236.83.0.10 to 236.83.0.11—2
7236.83.0.12/31236.83.0.12 to 236.83.0.13—2
8236.83.0.14/31236.83.0.14 to 236.83.0.15—2
9236.83.0.16/31236.83.0.16 to 236.83.0.17—2
10236.83.0.18/31236.83.0.18 to 236.83.0.19—2
11236.83.0.20/31236.83.0.20 to 236.83.0.21—2
12236.83.0.22/31236.83.0.22 to 236.83.0.23—2
13236.83.0.24/31236.83.0.24 to 236.83.0.25—2
14236.83.0.26/31236.83.0.26 to 236.83.0.27—2
15236.83.0.28/31236.83.0.28 to 236.83.0.29—2
16236.83.0.30/31236.83.0.30 to 236.83.0.31—2
17236.83.0.32/31236.83.0.32 to 236.83.0.33—2
18236.83.0.34/31236.83.0.34 to 236.83.0.35—2
19236.83.0.36/31236.83.0.36 to 236.83.0.37—2
20236.83.0.38/31236.83.0.38 to 236.83.0.39—2
21236.83.0.40/31236.83.0.40 to 236.83.0.41—2
22236.83.0.42/31236.83.0.42 to 236.83.0.43—2
23236.83.0.44/31236.83.0.44 to 236.83.0.45—2
24236.83.0.46/31236.83.0.46 to 236.83.0.47—2
25236.83.0.48/31236.83.0.48 to 236.83.0.49—2
26236.83.0.50/31236.83.0.50 to 236.83.0.51—2
27236.83.0.52/31236.83.0.52 to 236.83.0.53—2
28236.83.0.54/31236.83.0.54 to 236.83.0.55—2
29236.83.0.56/31236.83.0.56 to 236.83.0.57—2
30236.83.0.58/31236.83.0.58 to 236.83.0.59—2
31236.83.0.60/31236.83.0.60 to 236.83.0.61—2
32236.83.0.62/31236.83.0.62 to 236.83.0.63—2
33236.83.0.64/31236.83.0.64 to 236.83.0.65—2
34236.83.0.66/31236.83.0.66 to 236.83.0.67—2
35236.83.0.68/31236.83.0.68 to 236.83.0.69—2
36236.83.0.70/31236.83.0.70 to 236.83.0.71—2
37236.83.0.72/31236.83.0.72 to 236.83.0.73—2
38236.83.0.74/31236.83.0.74 to 236.83.0.75—2
39236.83.0.76/31236.83.0.76 to 236.83.0.77—2
40236.83.0.78/31236.83.0.78 to 236.83.0.79—2
41236.83.0.80/31236.83.0.80 to 236.83.0.81—2
42236.83.0.82/31236.83.0.82 to 236.83.0.83—2
43236.83.0.84/31236.83.0.84 to 236.83.0.85—2
44236.83.0.86/31236.83.0.86 to 236.83.0.87—2
45236.83.0.88/31236.83.0.88 to 236.83.0.89—2
46236.83.0.90/31236.83.0.90 to 236.83.0.91—2
47236.83.0.92/31236.83.0.92 to 236.83.0.93—2
48236.83.0.94/31236.83.0.94 to 236.83.0.95—2
49236.83.0.96/31236.83.0.96 to 236.83.0.97—2
50236.83.0.98/31236.83.0.98 to 236.83.0.99—2
51236.83.0.100/31236.83.0.100 to 236.83.0.101—2
52236.83.0.102/31236.83.0.102 to 236.83.0.103—2
53236.83.0.104/31236.83.0.104 to 236.83.0.105—2
54236.83.0.106/31236.83.0.106 to 236.83.0.107—2
55236.83.0.108/31236.83.0.108 to 236.83.0.109—2
56236.83.0.110/31236.83.0.110 to 236.83.0.111—2
57236.83.0.112/31236.83.0.112 to 236.83.0.113—2
58236.83.0.114/31236.83.0.114 to 236.83.0.115—2
59236.83.0.116/31236.83.0.116 to 236.83.0.117—2
60236.83.0.118/31236.83.0.118 to 236.83.0.119—2
61236.83.0.120/31236.83.0.120 to 236.83.0.121—2
62236.83.0.122/31236.83.0.122 to 236.83.0.123—2
63236.83.0.124/31236.83.0.124 to 236.83.0.125—2
64236.83.0.126/31236.83.0.126 to 236.83.0.127—2
65236.83.0.128/31236.83.0.128 to 236.83.0.129—2
66236.83.0.130/31236.83.0.130 to 236.83.0.131—2
67236.83.0.132/31236.83.0.132 to 236.83.0.133—2
68236.83.0.134/31236.83.0.134 to 236.83.0.135—2
69236.83.0.136/31236.83.0.136 to 236.83.0.137—2
70236.83.0.138/31236.83.0.138 to 236.83.0.139—2
71236.83.0.140/31236.83.0.140 to 236.83.0.141—2
72236.83.0.142/31236.83.0.142 to 236.83.0.143—2
73236.83.0.144/31236.83.0.144 to 236.83.0.145—2
74236.83.0.146/31236.83.0.146 to 236.83.0.147—2
75236.83.0.148/31236.83.0.148 to 236.83.0.149—2
76236.83.0.150/31236.83.0.150 to 236.83.0.151—2
77236.83.0.152/31236.83.0.152 to 236.83.0.153—2
78236.83.0.154/31236.83.0.154 to 236.83.0.155—2
79236.83.0.156/31236.83.0.156 to 236.83.0.157—2
80236.83.0.158/31236.83.0.158 to 236.83.0.159—2
81236.83.0.160/31236.83.0.160 to 236.83.0.161—2
82236.83.0.162/31236.83.0.162 to 236.83.0.163—2
83236.83.0.164/31236.83.0.164 to 236.83.0.165—2
84236.83.0.166/31236.83.0.166 to 236.83.0.167—2
85236.83.0.168/31236.83.0.168 to 236.83.0.169—2
86236.83.0.170/31236.83.0.170 to 236.83.0.171—2
87236.83.0.172/31236.83.0.172 to 236.83.0.173—2
88236.83.0.174/31236.83.0.174 to 236.83.0.175—2
89236.83.0.176/31236.83.0.176 to 236.83.0.177—2
90236.83.0.178/31236.83.0.178 to 236.83.0.179—2
91236.83.0.180/31236.83.0.180 to 236.83.0.181—2
92236.83.0.182/31236.83.0.182 to 236.83.0.183—2
93236.83.0.184/31236.83.0.184 to 236.83.0.185—2
94236.83.0.186/31236.83.0.186 to 236.83.0.187—2
95236.83.0.188/31236.83.0.188 to 236.83.0.189—2
96236.83.0.190/31236.83.0.190 to 236.83.0.191—2
97236.83.0.192/31236.83.0.192 to 236.83.0.193—2
98236.83.0.194/31236.83.0.194 to 236.83.0.195—2
99236.83.0.196/31236.83.0.196 to 236.83.0.197—2
100236.83.0.198/31236.83.0.198 to 236.83.0.199—2
101236.83.0.200/31236.83.0.200 to 236.83.0.201—2
102236.83.0.202/31236.83.0.202 to 236.83.0.203—2
103236.83.0.204/31236.83.0.204 to 236.83.0.205—2
104236.83.0.206/31236.83.0.206 to 236.83.0.207—2
105236.83.0.208/31236.83.0.208 to 236.83.0.209—2
106236.83.0.210/31236.83.0.210 to 236.83.0.211—2
107236.83.0.212/31236.83.0.212 to 236.83.0.213—2
108236.83.0.214/31236.83.0.214 to 236.83.0.215—2
109236.83.0.216/31236.83.0.216 to 236.83.0.217—2
110236.83.0.218/31236.83.0.218 to 236.83.0.219—2
111236.83.0.220/31236.83.0.220 to 236.83.0.221—2
112236.83.0.222/31236.83.0.222 to 236.83.0.223—2
113236.83.0.224/31236.83.0.224 to 236.83.0.225—2
114236.83.0.226/31236.83.0.226 to 236.83.0.227—2
115236.83.0.228/31236.83.0.228 to 236.83.0.229—2
116236.83.0.230/31236.83.0.230 to 236.83.0.231—2
117236.83.0.232/31236.83.0.232 to 236.83.0.233—2
118236.83.0.234/31236.83.0.234 to 236.83.0.235—2
119236.83.0.236/31236.83.0.236 to 236.83.0.237—2
120236.83.0.238/31236.83.0.238 to 236.83.0.239—2
121236.83.0.240/31236.83.0.240 to 236.83.0.241—2
122236.83.0.242/31236.83.0.242 to 236.83.0.243—2
123236.83.0.244/31236.83.0.244 to 236.83.0.245—2
124236.83.0.246/31236.83.0.246 to 236.83.0.247—2
125236.83.0.248/31236.83.0.248 to 236.83.0.249—2
126236.83.0.250/31236.83.0.250 to 236.83.0.251—2
127236.83.0.252/31236.83.0.252 to 236.83.0.253—2
128236.83.0.254/31236.83.0.254 to 236.83.0.255—2
129236.83.1.0/31236.83.1.0 to 236.83.1.1—2
130236.83.1.2/31236.83.1.2 to 236.83.1.3—2
131236.83.1.4/31236.83.1.4 to 236.83.1.5—2
132236.83.1.6/31236.83.1.6 to 236.83.1.7—2
133236.83.1.8/31236.83.1.8 to 236.83.1.9—2
134236.83.1.10/31236.83.1.10 to 236.83.1.11—2
135236.83.1.12/31236.83.1.12 to 236.83.1.13—2
136236.83.1.14/31236.83.1.14 to 236.83.1.15—2
137236.83.1.16/31236.83.1.16 to 236.83.1.17—2
138236.83.1.18/31236.83.1.18 to 236.83.1.19—2
139236.83.1.20/31236.83.1.20 to 236.83.1.21—2
140236.83.1.22/31236.83.1.22 to 236.83.1.23—2
141236.83.1.24/31236.83.1.24 to 236.83.1.25—2
142236.83.1.26/31236.83.1.26 to 236.83.1.27—2
143236.83.1.28/31236.83.1.28 to 236.83.1.29—2
144236.83.1.30/31236.83.1.30 to 236.83.1.31—2
145236.83.1.32/31236.83.1.32 to 236.83.1.33—2
146236.83.1.34/31236.83.1.34 to 236.83.1.35—2
147236.83.1.36/31236.83.1.36 to 236.83.1.37—2
148236.83.1.38/31236.83.1.38 to 236.83.1.39—2
149236.83.1.40/31236.83.1.40 to 236.83.1.41—2
150236.83.1.42/31236.83.1.42 to 236.83.1.43—2
151236.83.1.44/31236.83.1.44 to 236.83.1.45—2
152236.83.1.46/31236.83.1.46 to 236.83.1.47—2
153236.83.1.48/31236.83.1.48 to 236.83.1.49—2
154236.83.1.50/31236.83.1.50 to 236.83.1.51—2
155236.83.1.52/31236.83.1.52 to 236.83.1.53—2
156236.83.1.54/31236.83.1.54 to 236.83.1.55—2
157236.83.1.56/31236.83.1.56 to 236.83.1.57—2
158236.83.1.58/31236.83.1.58 to 236.83.1.59—2
159236.83.1.60/31236.83.1.60 to 236.83.1.61—2
160236.83.1.62/31236.83.1.62 to 236.83.1.63—2
161236.83.1.64/31236.83.1.64 to 236.83.1.65—2
162236.83.1.66/31236.83.1.66 to 236.83.1.67—2
163236.83.1.68/31236.83.1.68 to 236.83.1.69—2
164236.83.1.70/31236.83.1.70 to 236.83.1.71—2
165236.83.1.72/31236.83.1.72 to 236.83.1.73—2
166236.83.1.74/31236.83.1.74 to 236.83.1.75—2
167236.83.1.76/31236.83.1.76 to 236.83.1.77—2
168236.83.1.78/31236.83.1.78 to 236.83.1.79—2
169236.83.1.80/31236.83.1.80 to 236.83.1.81—2
170236.83.1.82/31236.83.1.82 to 236.83.1.83—2
171236.83.1.84/31236.83.1.84 to 236.83.1.85—2
172236.83.1.86/31236.83.1.86 to 236.83.1.87—2
173236.83.1.88/31236.83.1.88 to 236.83.1.89—2
174236.83.1.90/31236.83.1.90 to 236.83.1.91—2
175236.83.1.92/31236.83.1.92 to 236.83.1.93—2
176236.83.1.94/31236.83.1.94 to 236.83.1.95—2
177236.83.1.96/31236.83.1.96 to 236.83.1.97—2
178236.83.1.98/31236.83.1.98 to 236.83.1.99—2
179236.83.1.100/31236.83.1.100 to 236.83.1.101—2
180236.83.1.102/31236.83.1.102 to 236.83.1.103—2
181236.83.1.104/31236.83.1.104 to 236.83.1.105—2
182236.83.1.106/31236.83.1.106 to 236.83.1.107—2
183236.83.1.108/31236.83.1.108 to 236.83.1.109—2
184236.83.1.110/31236.83.1.110 to 236.83.1.111—2
185236.83.1.112/31236.83.1.112 to 236.83.1.113—2
186236.83.1.114/31236.83.1.114 to 236.83.1.115—2
187236.83.1.116/31236.83.1.116 to 236.83.1.117—2
188236.83.1.118/31236.83.1.118 to 236.83.1.119—2
189236.83.1.120/31236.83.1.120 to 236.83.1.121—2
190236.83.1.122/31236.83.1.122 to 236.83.1.123—2
191236.83.1.124/31236.83.1.124 to 236.83.1.125—2
192236.83.1.126/31236.83.1.126 to 236.83.1.127—2
193236.83.1.128/31236.83.1.128 to 236.83.1.129—2
194236.83.1.130/31236.83.1.130 to 236.83.1.131—2
195236.83.1.132/31236.83.1.132 to 236.83.1.133—2
196236.83.1.134/31236.83.1.134 to 236.83.1.135—2
197236.83.1.136/31236.83.1.136 to 236.83.1.137—2
198236.83.1.138/31236.83.1.138 to 236.83.1.139—2
199236.83.1.140/31236.83.1.140 to 236.83.1.141—2
200236.83.1.142/31236.83.1.142 to 236.83.1.143—2
201236.83.1.144/31236.83.1.144 to 236.83.1.145—2
202236.83.1.146/31236.83.1.146 to 236.83.1.147—2
203236.83.1.148/31236.83.1.148 to 236.83.1.149—2
204236.83.1.150/31236.83.1.150 to 236.83.1.151—2
205236.83.1.152/31236.83.1.152 to 236.83.1.153—2
206236.83.1.154/31236.83.1.154 to 236.83.1.155—2
207236.83.1.156/31236.83.1.156 to 236.83.1.157—2
208236.83.1.158/31236.83.1.158 to 236.83.1.159—2
209236.83.1.160/31236.83.1.160 to 236.83.1.161—2
210236.83.1.162/31236.83.1.162 to 236.83.1.163—2
211236.83.1.164/31236.83.1.164 to 236.83.1.165—2
212236.83.1.166/31236.83.1.166 to 236.83.1.167—2
213236.83.1.168/31236.83.1.168 to 236.83.1.169—2
214236.83.1.170/31236.83.1.170 to 236.83.1.171—2
215236.83.1.172/31236.83.1.172 to 236.83.1.173—2
216236.83.1.174/31236.83.1.174 to 236.83.1.175—2
217236.83.1.176/31236.83.1.176 to 236.83.1.177—2
218236.83.1.178/31236.83.1.178 to 236.83.1.179—2
219236.83.1.180/31236.83.1.180 to 236.83.1.181—2
220236.83.1.182/31236.83.1.182 to 236.83.1.183—2
221236.83.1.184/31236.83.1.184 to 236.83.1.185—2
222236.83.1.186/31236.83.1.186 to 236.83.1.187—2
223236.83.1.188/31236.83.1.188 to 236.83.1.189—2
224236.83.1.190/31236.83.1.190 to 236.83.1.191—2
225236.83.1.192/31236.83.1.192 to 236.83.1.193—2
226236.83.1.194/31236.83.1.194 to 236.83.1.195—2
227236.83.1.196/31236.83.1.196 to 236.83.1.197—2
228236.83.1.198/31236.83.1.198 to 236.83.1.199—2
229236.83.1.200/31236.83.1.200 to 236.83.1.201—2
230236.83.1.202/31236.83.1.202 to 236.83.1.203—2
231236.83.1.204/31236.83.1.204 to 236.83.1.205—2
232236.83.1.206/31236.83.1.206 to 236.83.1.207—2
233236.83.1.208/31236.83.1.208 to 236.83.1.209—2
234236.83.1.210/31236.83.1.210 to 236.83.1.211—2
235236.83.1.212/31236.83.1.212 to 236.83.1.213—2
236236.83.1.214/31236.83.1.214 to 236.83.1.215—2
237236.83.1.216/31236.83.1.216 to 236.83.1.217—2
238236.83.1.218/31236.83.1.218 to 236.83.1.219—2
239236.83.1.220/31236.83.1.220 to 236.83.1.221—2
240236.83.1.222/31236.83.1.222 to 236.83.1.223—2
241236.83.1.224/31236.83.1.224 to 236.83.1.225—2
242236.83.1.226/31236.83.1.226 to 236.83.1.227—2
243236.83.1.228/31236.83.1.228 to 236.83.1.229—2
244236.83.1.230/31236.83.1.230 to 236.83.1.231—2
245236.83.1.232/31236.83.1.232 to 236.83.1.233—2
246236.83.1.234/31236.83.1.234 to 236.83.1.235—2
247236.83.1.236/31236.83.1.236 to 236.83.1.237—2
248236.83.1.238/31236.83.1.238 to 236.83.1.239—2
249236.83.1.240/31236.83.1.240 to 236.83.1.241—2
250236.83.1.242/31236.83.1.242 to 236.83.1.243—2
251236.83.1.244/31236.83.1.244 to 236.83.1.245—2
252236.83.1.246/31236.83.1.246 to 236.83.1.247—2
253236.83.1.248/31236.83.1.248 to 236.83.1.249—2
254236.83.1.250/31236.83.1.250 to 236.83.1.251—2
255236.83.1.252/31236.83.1.252 to 236.83.1.253—2
256236.83.1.254/31236.83.1.254 to 236.83.1.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses